nxt

## Class Nxt

- java.lang.Object
- - nxt.Nxt

-     public final class Nxt
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APPLICATION`
    `static java.lang.String` | `CONFIG_DIR`
    `static java.lang.String` | `NXT_DEFAULT_PROPERTIES`
    `static java.lang.String` | `NXT_INSTALLER_PROPERTIES`
    `static java.lang.String` | `NXT_PROPERTIES`
    `static java.lang.String` | `VERSION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Blockchain` | `getBlockchain()`
    `static BlockchainProcessor` | `getBlockchainProcessor()`
    `static boolean` | `getBooleanProperty(java.lang.String name)`
    `static boolean` | `getBooleanProperty(java.lang.String name, boolean defaultValue)`
    `static java.io.File` | `getConfDir()`
    `static java.lang.String` | `getDbDir(java.lang.String dbDir)`
    `static int` | `getEpochTime()`
    `static int` | `getIntProperty(java.lang.String name)`
    `static int` | `getIntProperty(java.lang.String name, int defaultValue)`
    `static java.lang.String` | `getProcessId()`
    `static RuntimeMode` | `getRuntimeMode()`
    `static ServerStatus` | `getServerStatus()`
    `static java.util.List<java.lang.String>` | `getStringListProperty(java.lang.String name)`
    `static java.lang.String` | `getStringProperty(java.lang.String name)`
    `static java.lang.String` | `getStringProperty(java.lang.String name, java.lang.String defaultValue)`
    `static java.lang.String` | `getStringProperty(java.lang.String name, java.lang.String defaultValue, boolean doNotLog)`
    `static java.lang.String` | `getStringProperty(java.lang.String name, java.lang.String defaultValue, boolean doNotLog, java.lang.String encoding)`
    `static TransactionProcessor` | `getTransactionProcessor()`
    `static java.lang.String` | `getUserHomeDir()`
    `static void` | `init()`
    `static void` | `init(Setup setup)`
    `static void` | `init(Setup setup, java.util.Properties customProperties)`
    `static boolean` | `isEnabled(SubSystem subSystem)`
    `static void` | `loadProperties(java.util.Properties properties, java.lang.String propertiesFile, boolean isDefault)`
    `static void` | `main(java.lang.String[] args)`
    `static Transaction.Builder` | `newTransactionBuilder(byte[] transactionBytes)`
    `static Transaction.Builder` | `newTransactionBuilder(byte[] transactionBytes, org.json.simple.JSONObject prunableAttachments)`
    `static Transaction.Builder` | `newTransactionBuilder(org.json.simple.JSONObject transactionJSON)`
    `static Block` | `parseBlock(byte[] blockBytes, java.util.List<? extends FxtTransaction> blockTransactions)`
    `static Transaction` | `parseTransaction(byte[] transactionBytes)`
    `static void` | `setServerStatus(ServerStatus status, java.net.URI wallet)`
    `static void` | `setTime(Time time)`
    `static void` | `shutdown()` Shutdown the application.
    `static void` | `updateLogFileHandler(java.util.Properties loggingProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final java.lang.String VERSION

      See Also:
        Constant Field Values

    - #### APPLICATION

          public static final java.lang.String APPLICATION

      See Also:
        Constant Field Values

    - #### NXT_DEFAULT_PROPERTIES

          public static final java.lang.String NXT_DEFAULT_PROPERTIES

      See Also:
        Constant Field Values

    - #### NXT_PROPERTIES

          public static final java.lang.String NXT_PROPERTIES

      See Also:
        Constant Field Values

    - #### NXT_INSTALLER_PROPERTIES

          public static final java.lang.String NXT_INSTALLER_PROPERTIES

      See Also:
        Constant Field Values

    - #### CONFIG_DIR

          public static final java.lang.String CONFIG_DIR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### loadProperties

          public static void loadProperties(java.util.Properties properties,
                                            java.lang.String propertiesFile,
                                            boolean isDefault)

    - #### getIntProperty

          public static int getIntProperty(java.lang.String name)

    - #### getIntProperty

          public static int getIntProperty(java.lang.String name,
                                           int defaultValue)

    - #### getStringProperty

          public static java.lang.String getStringProperty(java.lang.String name)

    - #### getStringProperty

          public static java.lang.String getStringProperty(java.lang.String name,
                                                           java.lang.String defaultValue)

    - #### getStringProperty

          public static java.lang.String getStringProperty(java.lang.String name,
                                                           java.lang.String defaultValue,
                                                           boolean doNotLog)

    - #### getStringProperty

          public static java.lang.String getStringProperty(java.lang.String name,
                                                           java.lang.String defaultValue,
                                                           boolean doNotLog,
                                                           java.lang.String encoding)

    - #### getStringListProperty

          public static java.util.List<java.lang.String> getStringListProperty(java.lang.String name)

    - #### getBooleanProperty

          public static boolean getBooleanProperty(java.lang.String name)

    - #### getBooleanProperty

          public static boolean getBooleanProperty(java.lang.String name,
                                                   boolean defaultValue)

    - #### getBlockchain

          public static Blockchain getBlockchain()

    - #### getBlockchainProcessor

          public static BlockchainProcessor getBlockchainProcessor()

    - #### getTransactionProcessor

          public static TransactionProcessor getTransactionProcessor()

    - #### parseBlock

          public static Block parseBlock(byte[] blockBytes,
                                         java.util.List<? extends FxtTransaction> blockTransactions)
                                  throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### parseTransaction

          public static Transaction parseTransaction(byte[] transactionBytes)
                                              throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### newTransactionBuilder

          public static Transaction.Builder newTransactionBuilder(byte[] transactionBytes)
                                                           throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### newTransactionBuilder

          public static Transaction.Builder newTransactionBuilder(org.json.simple.JSONObject transactionJSON)
                                                           throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### newTransactionBuilder

          public static Transaction.Builder newTransactionBuilder(byte[] transactionBytes,
                                                                  org.json.simple.JSONObject prunableAttachments)
                                                           throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### getEpochTime

          public static int getEpochTime()

    - #### setTime

          public static void setTime(Time time)

    - #### main

          public static void main(java.lang.String[] args)

    - #### init

          public static void init(Setup setup,
                                  java.util.Properties customProperties)

    - #### init

          public static void init()

    - #### init

          public static void init(Setup setup)

    - #### shutdown

          public static void shutdown()

      Shutdown the application.

    - #### getProcessId

          public static java.lang.String getProcessId()

    - #### getDbDir

          public static java.lang.String getDbDir(java.lang.String dbDir)

    - #### updateLogFileHandler

          public static void updateLogFileHandler(java.util.Properties loggingProperties)

    - #### getUserHomeDir

          public static java.lang.String getUserHomeDir()

    - #### getConfDir

          public static java.io.File getConfDir()

    - #### setServerStatus

          public static void setServerStatus(ServerStatus status,
                                             java.net.URI wallet)

    - #### getServerStatus

          public static ServerStatus getServerStatus()

    - #### getRuntimeMode

          public static RuntimeMode getRuntimeMode()

    - #### isEnabled

          public static boolean isEnabled(SubSystem subSystem)